import create from '../../_styles/utils/create-component-base'
import { baseLight } from '../../_styles/base'
import { baseWaveLight } from '../../_base/wave/styles'
import commonVariables from './_common'

export default create({
  theme: 'light',
  name: 'Button',
  peer: [baseLight, baseWaveLight],
  getLocalVars (vars) {
    return {
      ...commonVariables,
      heightTiny: vars.heightTiny,
      heightSmall: vars.heightSmall,
      heightMedium: vars.heightMedium,
      heightLarge: vars.heightLarge,
      borderRadiusTiny: vars.borderRadius,
      borderRadiusSmall: vars.borderRadius,
      borderRadiusMedium: vars.borderRadius,
      borderRadiusLarge: vars.borderRadius,
      fontSizeTiny: vars.fontSizeTiny,
      fontSizeSmall: vars.fontSizeSmall,
      fontSizeMedium: vars.fontSizeMedium,
      fontSizeLarge: vars.fontSizeLarge,
      opacityDisabled: vars.opacityDisabled,
      // default type
      color: 'transparent',
      colorHover: 'transparent',
      colorPressed: 'transparent',
      colorFocus: 'transparent',
      colorDisabled: 'transparent',
      textColor: vars.textColor2,
      textColorHover: vars.primaryColorHover,
      textColorPressed: vars.primaryColorPressed,
      textColorFocus: vars.primaryColorHover,
      textColorDisabled: vars.textColor2,
      textColorText: vars.textColor2,
      textColorTextHover: vars.primaryColorHover,
      textColorTextPressed: vars.primaryColorPressed,
      textColorTextFocus: vars.primaryColorHover,
      textColorTextDisabled: vars.textColor2,
      textColorGhost: vars.textColor2,
      textColorGhostHover: vars.primaryColorHover,
      textColorGhostPressed: vars.primaryColorPressed,
      textColorGhostFocus: vars.primaryColorHover,
      textColorGhostDisabled: vars.textColor2,
      borderColor: vars.borderColorOverlay,
      borderColorHover: vars.primaryColorHover,
      borderColorPressed: vars.primaryColorPressed,
      borderColorFocus: vars.primaryColorHover,
      borderColorDisabled: vars.borderColorOverlay,
      rippleColor: vars.primaryColor,
      iconColor: vars.textColor2,
      // primary
      colorPrimary: vars.primaryColor,
      colorHoverPrimary: vars.primaryColorHover,
      colorPressedPrimary: vars.primaryColorPressed,
      colorFocusPrimary: vars.primaryColorHover,
      colorDisabledPrimary: vars.primaryColor,
      textColorPrimary: vars.baseColor,
      textColorHoverPrimary: vars.baseColor,
      textColorPressedPrimary: vars.baseColor,
      textColorFocusPrimary: vars.baseColor,
      textColorDisabledPrimary: vars.baseColor,
      textColorTextPrimary: vars.textColor2,
      textColorTextHoverPrimary: vars.primaryColorHover,
      textColorTextPressedPrimary: vars.primaryColorPressed,
      textColorTextFocusPrimary: vars.primaryColorHover,
      textColorTextDisabledPrimary: vars.textColor2,
      textColorGhostPrimary: vars.primaryColor,
      textColorGhostHoverPrimary: vars.primaryColorHover,
      textColorGhostPressedPrimary: vars.primaryColorPressed,
      textColorGhostFocusPrimary: vars.primaryColorHover,
      textColorGhostDisabledPrimary: vars.primaryColor,
      borderColorPrimary: vars.primaryColor,
      borderColorHoverPrimary: vars.primaryColorHover,
      borderColorPressedPrimary: vars.primaryColorPressed,
      borderColorFocusPrimary: vars.primaryColorHover,
      borderColorDisabledPrimary: vars.primaryColor,
      rippleColorPrimary: vars.primaryColor,
      iconColorPrimary: vars.primaryColor,
      // info
      colorInfo: vars.infoColor,
      colorHoverInfo: vars.infoColorHover,
      colorPressedInfo: vars.infoColorPressed,
      colorFocusInfo: vars.infoColorHover,
      colorDisabledInfo: vars.infoColor,
      textColorInfo: vars.baseColor,
      textColorHoverInfo: vars.baseColor,
      textColorPressedInfo: vars.baseColor,
      textColorFocusInfo: vars.baseColor,
      textColorDisabledInfo: vars.baseColor,
      textColorTextInfo: vars.textColor2,
      textColorTextHoverInfo: vars.infoColorHover,
      textColorTextPressedInfo: vars.infoColorPressed,
      textColorTextFocusInfo: vars.infoColorHover,
      textColorTextDisabledInfo: vars.textColor2,
      textColorGhostInfo: vars.infoColor,
      textColorGhostHoverInfo: vars.infoColorHover,
      textColorGhostPressedInfo: vars.infoColorPressed,
      textColorGhostFocusInfo: vars.infoColorHover,
      textColorGhostDisabledInfo: vars.infoColor,
      borderColorInfo: vars.infoColor,
      borderColorHoverInfo: vars.infoColorHover,
      borderColorPressedInfo: vars.infoColorPressed,
      borderColorFocusInfo: vars.infoColorHover,
      borderColorDisabledInfo: vars.infoColor,
      rippleColorInfo: vars.infoColor,
      iconColorInfo: vars.infoColor,
      // success
      colorSuccess: vars.successColor,
      colorHoverSuccess: vars.successColorHover,
      colorPressedSuccess: vars.successColorPressed,
      colorFocusSuccess: vars.successColorHover,
      colorDisabledSuccess: vars.successColor,
      textColorSuccess: vars.baseColor,
      textColorHoverSuccess: vars.baseColor,
      textColorPressedSuccess: vars.baseColor,
      textColorFocusSuccess: vars.baseColor,
      textColorDisabledSuccess: vars.baseColor,
      textColorTextSuccess: vars.textColor2,
      textColorTextHoverSuccess: vars.successColorHover,
      textColorTextPressedSuccess: vars.successColorPressed,
      textColorTextFocusSuccess: vars.successColorHover,
      textColorTextDisabledSuccess: vars.textColor2,
      textColorGhostSuccess: vars.successColor,
      textColorGhostHoverSuccess: vars.successColorHover,
      textColorGhostPressedSuccess: vars.successColorPressed,
      textColorGhostFocusSuccess: vars.successColorHover,
      textColorGhostDisabledSuccess: vars.successColor,
      borderColorSuccess: vars.successColor,
      borderColorHoverSuccess: vars.successColorHover,
      borderColorPressedSuccess: vars.successColorPressed,
      borderColorFocusSuccess: vars.successColorHover,
      borderColorDisabledSuccess: vars.successColor,
      rippleColorSuccess: vars.successColor,
      iconColorSuccess: vars.successColor,
      // warning
      colorWarning: vars.warningColor,
      colorHoverWarning: vars.warningColorHover,
      colorPressedWarning: vars.warningColorPressed,
      colorFocusWarning: vars.warningColorHover,
      colorDisabledWarning: vars.warningColor,
      textColorWarning: vars.baseColor,
      textColorHoverWarning: vars.baseColor,
      textColorPressedWarning: vars.baseColor,
      textColorFocusWarning: vars.baseColor,
      textColorDisabledWarning: vars.baseColor,
      textColorTextWarning: vars.textColor2,
      textColorTextHoverWarning: vars.warningColorHover,
      textColorTextPressedWarning: vars.warningColorPressed,
      textColorTextFocusWarning: vars.warningColorHover,
      textColorTextDisabledWarning: vars.textColor2,
      textColorGhostWarning: vars.warningColor,
      textColorGhostHoverWarning: vars.warningColorHover,
      textColorGhostPressedWarning: vars.warningColorPressed,
      textColorGhostFocusWarning: vars.warningColorHover,
      textColorGhostDisabledWarning: vars.warningColor,
      borderColorWarning: vars.warningColor,
      borderColorHoverWarning: vars.warningColorHover,
      borderColorPressedWarning: vars.warningColorPressed,
      borderColorFocusWarning: vars.warningColorHover,
      borderColorDisabledWarning: vars.warningColor,
      rippleColorWarning: vars.warningColor,
      iconColorWarning: vars.warningColor,
      // error
      colorError: vars.errorColor,
      colorHoverError: vars.errorColorHover,
      colorPressedError: vars.errorColorPressed,
      colorFocusError: vars.errorColorHover,
      colorDisabledError: vars.errorColor,
      textColorError: vars.baseColor,
      textColorHoverError: vars.baseColor,
      textColorPressedError: vars.baseColor,
      textColorFocusError: vars.baseColor,
      textColorDisabledError: vars.baseColor,
      textColorTextError: vars.textColor2,
      textColorTextHoverError: vars.errorColorHover,
      textColorTextPressedError: vars.errorColorPressed,
      textColorTextFocusError: vars.errorColorHover,
      textColorTextDisabledError: vars.textColor2,
      textColorGhostError: vars.errorColor,
      textColorGhostHoverError: vars.errorColorHover,
      textColorGhostPressedError: vars.errorColorPressed,
      textColorGhostFocusError: vars.errorColorHover,
      textColorGhostDisabledError: vars.errorColor,
      borderColorError: vars.errorColor,
      borderColorHoverError: vars.errorColorHover,
      borderColorPressedError: vars.errorColorPressed,
      borderColorFocusError: vars.errorColorHover,
      borderColorDisabledError: vars.errorColor,
      rippleColorError: vars.errorColor,
      iconColorError: vars.errorColor
    }
  }
})
