import create from '../../_styles/utils/create-component-base'
import sizeVariables from './_common'
import { baseDark } from '../../_styles/base'
import { iconDark } from '../../icon/styles'

export default create({
  name: 'Result',
  theme: 'dark',
  peer: [baseDark, iconDark],
  getLocalVars (vars) {
    const {
      textColor1Overlay,
      textColor2Overlay,
      errorColor,
      successColor,
      infoColor,
      warningColor,
      lineHeight,
      fontWeightStrong,
      fontSize
    } = vars
    return {
      ...sizeVariables,
      lineHeight,
      headerFontWeight: fontWeightStrong,
      headerTextColor: textColor1Overlay,
      descriptionTextColor: textColor2Overlay,
      descriptionFontSize: fontSize,
      iconColorError: errorColor,
      iconColorSuccess: successColor,
      iconColorInfo: infoColor,
      iconColorWarning: warningColor
    }
  }
})
